package com.bankaudit.rest.process.dao;

import java.time.LocalDate;
import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditSchedule;

public interface AuditRespondDao {
	DataTableResponse getMyRespondList(int legalEntityCode,String userId, String search,Integer orderColumn,	String orderDirection, Integer page, Integer size,
			LocalDate financialYear, String auditTypeCode, List<LocalDate>  financialYearStrtEndList);
	
	AuditSchedule getRespondAuditByPlanIdAndAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId);
	
	void updateAuditRespondStatus(AuditSchedule auditSchedule);
	
	DataTableResponse  getRespondObservationList(int legalEntityCode,String planId,String auditId, String search,Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	String isRespondObsPendingBfrRespondSubmit(AuditSchedule auditSchedule);
	
	void updateProbSevrtyRiskwise(int legalEntityCode,String auditTypeCode,String auditId, String status, String userId);

	void updateResidualriskAssessmentwiseCallHealthIndexCntrlRating(int legalEntityCode,String auditTypeCode,String auditId, String status, String userId);
}
